Index: include/asterisk/utils.h
===================================================================
--- include/asterisk/utils.h	(revision 204982)
+++ include/asterisk/utils.h	(working copy)
@@ -348,13 +348,13 @@
 /*
  * Thread management support (should be moved to lock.h or a different header)
  */
- 
-#define AST_STACKSIZE 240 * 1024
 
+#define AST_STACKSIZE (((sizeof(void *) * 8 * 8) - 16) * 1024)
+
 #if defined(LOW_MEMORY)
-#define AST_BACKGROUND_STACKSIZE 48 * 1024
+#define AST_BACKGROUND_STACKSIZE (((sizeof(void *) * 8 * 2) - 16) * 1024)
 #else
-#define AST_BACKGROUND_STACKSIZE 240 * 1024
+#define AST_BACKGROUND_STACKSIZE AST_STACKSIZE
 #endif
 
 void ast_register_thread(char *name);
